Bug 498728 - Sound glitch after switching output streams
Sound glitch after switching output streams
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 11:37 EDT by Michael Monreal
Modified: 2010-06-28 08:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:20:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pacmd ls output (23.65 KB, text/plain)
2009-05-05 12:37 EDT, Michael Monreal
no flags Details
pacmd ls #1: only PCI (16.22 KB, text/plain)
2009-05-06 09:49 EDT, Michael Monreal
no flags Details
pacmd ls #2: PCI in use, USB plugged in (23.64 KB, text/plain)
2009-05-06 09:50 EDT, Michael Monreal
no flags Details
pacmd ls #3: shortly after switch to USB (25.48 KB, text/plain)
2009-05-06 09:51 EDT, Michael Monreal
no flags Details
pacmd ls #4: shortly after switching bac to PCI (25.45 KB, text/plain)
2009-05-06 09:52 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2009-05-02 11:37:01 EDT
Splitting out from bug 489049:

After switching output streams, sound first plays correctly on the new output for about a second, then it stops and/or sounds very badly for about 2-3 seconds before sounding nice again.
Comment 1 Michael Monreal 2009-05-02 11:37:41 EDT
Comment 10 from bug 489049: "I saw that in apps that use pulsesink, my guess is it's a PA bug, don't think very many people did what we're doing before."
Comment 2 Lennart Poettering 2009-05-05 12:06:12 EDT
Does this happen with all streams or just with gst based streams?
Comment 3 Lennart Poettering 2009-05-05 12:07:26 EDT
Hmm, could you please include the output of "pacmd ls" here? This might be caused by the two sound cards having very different latency settings.
Comment 4 Michael Monreal 2009-05-05 12:35:54 EDT
(In reply to comment #2)
> Does this happen with all streams or just with gst based streams?  
I just tried while playing a song with mplayer. Switching seems to be smoother this way: 

- switching from pci to usb, I hear correct sound as soon as it switches but then it repeats about 1-2 seconds and continues normally after this point. No distorted sound.

- switching back from usb to pci seems to be totally flawless
Comment 5 Michael Monreal 2009-05-05 12:37:57 EDT
Created attachment 342490 [details]
pacmd ls output
Comment 6 Lennart Poettering 2009-05-05 12:46:47 EDT
Hmm, did you run this shortly after the problem happened, or before that?

Could you also paste every PA related output from syslog?
Comment 7 Michael Monreal 2009-05-06 09:44:22 EDT
(In reply to comment #6)
> Hmm, did you run this shortly after the problem happened, or before that?
I don't know but I will attach a few new logs now.

> Could you also paste every PA related output from syslog?  

May  6 15:13:11 pandora pulseaudio[2128]: pid.c: Daemon already running.
May  6 15:13:11 pandora pulseaudio[2129]: pid.c: Daemon already running.
...
May  6 15:32:52 pandora kernel: usb 7-1: new full speed USB device using uhci_hcd and address 2
May  6 15:32:52 pandora kernel: usb 7-1: New USB device found, idVendor=046d, idProduct=0a01
May  6 15:32:52 pandora kernel: usb 7-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
May  6 15:32:52 pandora kernel: usb 7-1: Product: Logitech USB Headset
May  6 15:32:52 pandora kernel: usb 7-1: Manufacturer: Logitech
May  6 15:32:52 pandora kernel: usb 7-1: configuration #1 chosen from 1 choice
May  6 15:32:53 pandora kernel: usbcore: registered new interface driver snd-usb-audio
May  6 15:33:12 pandora pulseaudio[2083]: alsa-source.c: Increasing minimal latency to 1.00 ms
May  6 15:33:14 pandora pulseaudio[2083]: alsa-source.c: Increasing minimal latency to 2.00 ms
May  6 15:33:16 pandora pulseaudio[2083]: alsa-source.c: Increasing minimal latency to 4.00 ms
May  6 15:33:17 pandora pulseaudio[2083]: alsa-source.c: Increasing minimal latency to 8.00 ms
May  6 15:33:21 pandora pulseaudio[2083]: alsa-source.c: Increasing minimal latency to 16.00 ms
May  6 15:33:22 pandora pulseaudio[2083]: alsa-source.c: Increasing minimal latency to 26.00 ms
May  6 15:33:24 pandora pulseaudio[2083]: alsa-source.c: Increasing wakeup watermark to 15.99 ms
May  6 15:33:44 pandora pulseaudio[2083]: alsa-source.c: Increasing minimal latency to 36.00 ms
May  6 15:34:21 pandora kernel: usb 7-1: USB disconnect, address 2
Comment 8 Michael Monreal 2009-05-06 09:49:47 EDT
Created attachment 342649 [details]
pacmd ls #1: only PCI
Comment 9 Michael Monreal 2009-05-06 09:50:41 EDT
Created attachment 342651 [details]
pacmd ls #2: PCI in use, USB plugged in
Comment 10 Michael Monreal 2009-05-06 09:51:22 EDT
Created attachment 342652 [details]
pacmd ls #3: shortly after switch to USB
Comment 11 Michael Monreal 2009-05-06 09:52:04 EDT
Created attachment 342653 [details]
pacmd ls #4: shortly after switching bac to PCI
Comment 12 Bug Zapper 2009-06-09 11:00:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-04-27 10:04:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-06-28 08:20:09 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.